openssl 3.0安装报错Can’t locate IPC/Cmd.pm

  • A+
所属分类:Linux

openssl 3.0安装报错

  1. [root@localhost openssl-3.0.0]# ./config  --prefix=/usr/local/openssl
  2. Can't locate IPC/Cmd.pm in @INC (@INC contains: /root/openssl-3.0.0/util/perl /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 . /root/openssl-3.0.0/external/perl/Text-Template-1.56/lib) at /root/openssl-3.0.0/util/perl/OpenSSL/config.pm line 18.
  3. BEGIN failed--compilation aborted at /root/openssl-3.0.0/util/perl/OpenSSL/config.pm line 18.
  4. Compilation failed in require at /root/openssl-3.0.0/Configure line 23.
  5. BEGIN failed--compilation aborted at /root/openssl-3.0.0/Configure line 23.

解决方法

  1. CentOS7   yum install perl-IPC-Cmd
  2. CentOS8   dnf install perl-IPC-Cmd

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: